# Image write

An action block that writes an image file of the bitmap help in memory.

The fiber will pause until the image has been written.

This block encodes the bitmap held in memory by the fiber, as loaded by a prior Image load block, and writes it to an JPEG or PNG image file.

The block will fail if the image type doesn’t support the bitmap format or color model.

Note! The bitmap will remain in memory after this block, ensure to use the Image unload block if it’s no longer needed.

## Input arguments

- Destination path — file or directory path where the image file will be written, default is a file in the “DCIM” directory.
- MIME type — type of image file to write, default is that of the loaded image.
- Quality — quality of encoding/compression in percentage, default is 100%.

## Output variables

- Image file — variable to assign the path to the image file.